Scientists want to use clusters to make their simulations **run faster**.

Over the years, we have encountered researchers with various needs and various workflows. In this workshop, we shall try to cover some of the popular workflows that most beginners want to learn.

Examples of these workflows can be:

1. I want to run 100,000 matlab simulations each of which takes hours. *When will I finish my Ph.D.?*
2. I want to run 100,000 optimizations with varying initial parameters. *When will I finish my Ph.D.?*
3. My simulation takes 3 days on my desktop, I need to show results to my advisor tomorrow. *How can I make my advisor happy?*
4. I need to match hundreds gene sequences against all the gene databases. *Needle in the haystack.*
5. My simulation needs a lot more memory than what my desktop has. Can it be run on the cluster? *The elephant in the room.*
6. I want to run Tensorflow on the GPUs. *Sounds really cool.*
7. What is your research problem? *Awkward silence.*
