# Overview

## Problem Statement
**Compute all the primes between two numbers using Matlab.**  

For example, if I ask the program to compute primes between 1 and 10, it should answer 2, 3, 5, 7. Although seemingly easy, this becomes computationally intensive as the number becomes larger. For example, computing primes between 1 and 10,000,000 can take several minutes on your desktop or laptop.

In this workshop, we shall use this example to show:
- How we can run Matlab on the cluster.
- How we can finish the computation faster by breaking it into multiple problems.

## Typical steps for using the cluster

1. Log in to the cluster.
2. Load the necessary application (Matlab).
3. Run your code.
4. Save results in a file.
5. Fetch the results to a local machine. (optional)

In the subsequent sections, we shall cover each of these steps in depth and experience the clusters first-hand.
