# Starting applications from command line

- We mentioned earlier that only a few applications are available from the menu.
- Most applications are installed in the cluster as `modules`.
- `module` is a **portable way of referring to an application** that is installed on the clusters.
- Matlab also has a `module`. In fact, the "Applications" menu calls `module` behind the scenes.
- To run matlab from command line, run the command:   
```
module load matlab
```
- Nothing happened!!! Actually, the system set up the environment so that Matlab can now be started.
- Now, to start Matlab, type:   
```
matlab
```
- Yayy! We have the same Matlab GUI as before.
- Let's find some more primes:
```
n = 1:50000;
p = isprime(n);
n(p)
```
- Wouldn't it be nicer to type just one line instead of three! Enter Matlab script.
