## What is a cluster?

- Collection of powerful servers that can perform better than your desktops
- Lots of memory (sufficient for 90\% of the cases) 
- Lots of storage (sufficient for 99\% of the cases)

## Benefits of running on the cluster

- These are powerful machines, can run cases that your desktop cannot.
- The machines and softwares are managed by RCAC. You won't need to manage your lab's computers.
- Lots of spare capacity by pooling together resources. You can do **more work**.
- *Your lab won't become too hot. (Except when you are thinking)*

## Would the cluster make my simulations faster?

- The clusters have a lot of raw computing power. But you will need to learn how to use use them efficiently!
- The goal of this workshop is to teach you how to do that.

## What we will not cover

- Details about parallel programming (MPI/OpenMP/OpenACC).
- Details about any specific scientific software.

