# Matlab GUI

- In the Matlab GUI, type the following codes, one at a line.

```
n = 1:100;
p = isprime(n);
n(p)
```
Eureka! You have found the primes till 100.

- Let's now increase it a notch.
```
n = 1:10000;
p = isprime(n);
n(p)
```
Yayy! We now have primes till 10,000.

- Explore more of the unknown. Let's do this till 100,000.
```
n = 1:100000;
p = isprime(n);
n(p)
```

- At this point things are almost as fast as on your laptop.
- Explain the complexity/runtime of doing this upto 1 billion.
- Before finshing this section, let's close Matlab so that we are not hogging all the licenses!

**Reference:** These commands can be found in [scripts/findPrimes_GUI.commands](https://github.rcac.purdue.edu/amaji/Cluster101Scripts/blob/master/scripts/findPrimes_GUI.commands)

