function result = findPrimes_Final(x,y)
  fprintf('Printing primes between: %d and %d\n', x, y);
  n = x:y;
  tic;
  p = isprime(n);
  elapsed = toc;
  outfile = sprintf('prime_numbers_%d_%d.txt', x, y);
  fid = fopen(outfile, 'w');
  fprintf(fid, '%ld\n', n(p));
  fclose(fid);
  fprintf('Total time taken to compute: %f\n', elapsed);
  exit
end
